Subject: RE: [lemonade] Special-Purpose Mailboxes (was Notifications for multiple devices per user)

From: Randall Gellens <[email-masked]>
Date: Tue, 15 Aug 2006 17:40:45 -0700

At 7:58 AM +0100 8/11/06, Ben Last wrote:
>  Randall Gellens wrote, at 11 August 2006 02:19:
>
>>  Given the widespread use of Trash mailboxes, I can also see 
>> benefit in having a way to identify to clients which mailboxes are 
>> so used by other clients.  However, I can also see three reasons 
>> not to do this: (1) it seems unlikely that existing clients will 
>> be updated to specify the Trash mailbox they are using, so having 
>> a way for them to do so won't help; (2) since existing clients use 
>> different names for the Trash mailbox, anyone using multiple 
>> clients probably has multiple Trash mailboxes; (3) it is unclear 
>> that mobile clients will want to synchronize a Trash mailbox 
>> created by other clients: why waste bandwidth and memory caching 
>> messages that the user has already marked for deletion?
>
>  Certainly my motivation for discussing this general area was issue (3)
>  above: we have no interest in implementing a Trash mailbox
>  (deleted/expunge works for us) but we do definitely want to avoid
>  showing other clients special-purpose mailboxes to the user, or
>  synchronzing them.

>  Randall: I respectfully disagree that your arguments above are arguments
>  against providing ways for clients to identify mailboxes.  Specific
>  responses:
>  (1) But even if they don't use a Trash, they may use Sent
>  Items/Drafts/Outbox mailboxes.

Sorry for not being more clear.  My point above is that there are a 
lot of existing clients that use Trash mailboxes and it is not clear 
that such clients will be updated to start using a mechanism to mark 
such mailboxes.  Having an extension for them to use doesn't help you 
if they don't use it.

>  (2) But if clients that currently do use a Trash mailbox could spot an
>  existing one and re-use it, that would avoid the proliferation of
>  Trash/Deleted Items/Wastebasket mailboxes that can occur.

True, this is an argument in favor of defining a mechanism for this 
purpose.  And pursonally I'm not opposed to it.  But, if we more 
clearly identify the disadvantages of Trash mailboxes, and identify 
other mechanisms and/or techniques that clients can use to better 
achieve their goals, then when clients are updated they may well 
start using the alternative instead of the marking extension.

>  (3) If a client can identify other clients' Trash mailbox, it can avoid
>  synchronizing it.  If it can't, there's the risk that it will be
>  synchronized inadvertently. That would also confuse the end user: seeing
>  a Trash mailbox that doesn't hold newly deleted messages.

I agree.  I'm just not sure that defining a way for other clients to 
tell you what they are doing will help you, unless we can make it 
attractive for those other clients to start using it.

>
>  At least one of our use cases involves three clients in use for any one
>  account:
>  * A desktop client such as Eudora or Thunderbird
>  * A webmail client provided by the server vendor
>  * A mobile client
>
>  This is actually not an unusual setup for users in our target market, so
>  anything that helps inter-client interoperability is key for us.
>
>  ACAP would help with the Special-purpose Mailboxes problem, but as far
>  as I can tell, there are very few servers that implement it (and none of
>  the target server vendors for our client have any plans to implement
>  it).  For a client developer, especially in the mobile phone market, the
>  assumption must always be that one must interoperate with what is out
>  there now.  We have no control over the servers with which a customer
>  would expect our client to interoperate.  But given that the Lemonade
>  profiles and standards have a fair degree of momentum now, raising
>  problems such as special-purpose mailboxes here is about the best chance
>  we have of making our lives easier in the future!

-- 
Randall Gellens
Opinions are personal;    facts are suspect;    I speak for myself only
-------------- Randomly-selected tag: ---------------
I personally think we developed language because of our
deep need to complain.                    --Lily Tomlin

_______________________________________________
lemonade mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/lemonade